Package org.h2gis.functions.spatial.edit

# Class EditUtilities

java.lang.Object
org.h2gis.functions.spatial.edit.EditUtilities

public class EditUtilities extends Object
Common utilities used by the edit functions

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`EditUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.operation.distance.GeometryLocation`
`getVertexToSnap(org.locationtech.jts.geom.Geometry g, org.locationtech.jts.geom.Point p, double tolerance)`
Gets the coordinate of a Geometry that is the nearest of a given Point, with a distance tolerance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EditUtilities

public EditUtilities()

## Method Details

### getVertexToSnap

public static org.locationtech.jts.operation.distance.GeometryLocation getVertexToSnap(org.locationtech.jts.geom.Geometry g, org.locationtech.jts.geom.Point p, double tolerance)
Gets the coordinate of a Geometry that is the nearest of a given Point, with a distance tolerance.

Parameters:
  `g` -
  `p` -
  `tolerance` -
Returns: